{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='voir-moniteurs.css') }}">
<title> Voir les Moniteurs </title>
<body>
    <h1> Voici les Moniteurs du Club </h1>
    <div id="tableau">

        <table>
            <thead>
                <tr>
                    <th> Id </th>
                    <th> Nom </th>
                    <th> Prenom </th>
                    <th> Poids  </th>
                    <th> Age  </th>
                    <th> Niveau </th>
                    <th> Salaire </th>
                </tr>
            </thead>
            <tbody>
                {% for mo in moniteurs %}
                <tr>  
                    <td> {{ mo.idMo }} </td>
                    <td> {{ mo.nomMo }} </td>
                    <td> {{ mo.prenomMo }} </td>
                    <td> {{ mo.poidsMo }} </td>
                    <td> {{ mo.ageMo }} </td>
                    <td> {{ mo.niveauMo }} </td>
                    <td> {{ mo.salaire }} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <table id="tabbas">
        <!-- si c'est le moniteur administrateur -->
        {% if id == 1002 %}
        <form action="{{url_for('create_moniteur', id=id)}}" method="post">
            <tr>
                <!-- vide pour l'id  -->
                <td></td>
                <td><input type="text" placeholder="Nom" name="nom" pattern="[aA-zZ - é è à ]{3,20}" required></td>
                <td><input type="text" placeholder="Prenom" name="prenom" pattern="[aA-zZ - é è à ]{3,20}" required></td>
                <td><input type="number" placeholder="Poids" name="poids" pattern="[0-9]{2,3}" required></td>
                <td><input type="number" placeholder="Age" name="age" pattern="[0-9]{2,3}" required></td>
                <td><input type="number" placeholder="Niveau" name="niveau" pattern="[0-9]{1,2}" required></td>
                <td><input type="number" placeholder="Salaire" name="salaire" pattern="[0-9]{3,5}" required></td>
                <td><input class="bouton"id="create_moniteur" type="submit" value="Valider"></td>
            </tr>
        </form>
        {% endif %}
    </table>
</body>
{% endblock %}